#ifndef PORTFOLIOPERFORMANCEINPUT_H
#define PORTFOLIOPERFORMANCEINPUT_H

#include <vector>
#include <string>
#include <time.h>
#include <RInside.h>

using namespace Rcpp;
using namespace std;

class PortfolioPerformanceInput
{
public:
        PortfolioPerformanceInput();
        virtual ~PortfolioPerformanceInput();

        vector<string> libraries;
        vector<double> nav;
        //vector< vector<double> > cashFlows;
        NumericMatrix cashFlows;
        string creationDate;
        string activationDate;
        string finalDate;
        string benchmark;
        vector<string> dates;
        vector<string> datesBmk;
        //vector< vector<double> > indexesBmk;
        NumericMatrix indexesBmk;
        //vector< vector<double> > weightsBmk;
        NumericMatrix weightsBmk;
        double start;
        string type;

    protected:
    private:

};

#endif // PORTFOLIOPERFORMANCEINPUT_H
